﻿using System;
using MonitorService.Contract;

namespace MonitorService.Impl
{
    /// <summary>
    /// 配置文件监控管理类
    /// </summary>
    public class ConfigFileMonitor : IFileMonitor
    {
        public ILogService LogService { get; set; }

        public IEmailService EmailService { get; set; }

        private static readonly string configFileType = ".config";//配置文件后缀

        public void Analyze(string fileName)
        {
            try
            {
                if (fileName.Length <= configFileType.Length)
                {
                    LogService.AppendLog(string.Format("input filename({0}) is too short", fileName));
                }
            }
            catch (Exception ex)
            {
                EmailService.SendEmail("jeffwong@cnblogs.com", "filename check", ex.Message);
            }
        }
    }
}